package ec.app.sequence;

import java.io.File;
import java.util.List;

public class FeatureReader {
	
	public void read(File f) throws Exception{
		List fileRecords = FileUtil.readTextFileToStringList(f, true);
		for(int i =0; i< fileRecords.size()-3; i = i+3){
			String record = (String)fileRecords.get(i);
			if(record.contains("Feature")){
				//get next record
				String graph = (String)fileRecords.get(i+1);
				//get fitness
				String fitnessWhole = (String)fileRecords.get(i+2);
				//substring it after =
				String actualFitness = fitnessWhole.substring(fitnessWhole.indexOf("=") +1,fitnessWhole.length());
				System.out.println(graph + "\t" + actualFitness);
			}
		}
	}
	
	public static void main(String[] args) {
		FeatureReader reader = new FeatureReader();
		try{
			reader.read(new File("./Elites.txt"));
		}catch(Exception e){
			e.printStackTrace();
		}
	}

}
